unit-tester: remove obsolete rsa_gen test, now covered in unit-tests